Package org.jbpm.process.instance.impl

## Class NoOpExecutionErrorHandler

- java.lang.Object
- - org.jbpm.process.instance.impl.NoOpExecutionErrorHandler

- All Implemented Interfaces:
    `org.kie.internal.runtime.error.ExecutionErrorHandler`

      public class NoOpExecutionErrorHandler
      extends Object
      implements org.kie.internal.runtime.error.ExecutionErrorHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoOpExecutionErrorHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(Throwable cause)` |
    `void` | `processed​(org.kie.api.runtime.process.NodeInstance nodeInstance)` |
    `void` | `processed​(org.kie.api.task.model.Task task)` |
    `void` | `processing​(org.kie.api.runtime.process.NodeInstance nodeInstance)` |
    `void` | `processing​(org.kie.api.task.model.Task task)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpExecutionErrorHandler

          public NoOpExecutionErrorHandler()

  - ### Method Detail

    - #### processing

          public void processing​(org.kie.api.runtime.process.NodeInstance nodeInstance)

      Specified by:
        `processing` in interface `org.kie.internal.runtime.error.ExecutionErrorHandler`

    - #### processing

          public void processing​(org.kie.api.task.model.Task task)

      Specified by:
        `processing` in interface `org.kie.internal.runtime.error.ExecutionErrorHandler`

    - #### processed

          public void processed​(org.kie.api.runtime.process.NodeInstance nodeInstance)

      Specified by:
        `processed` in interface `org.kie.internal.runtime.error.ExecutionErrorHandler`

    - #### processed

          public void processed​(org.kie.api.task.model.Task task)

      Specified by:
        `processed` in interface `org.kie.internal.runtime.error.ExecutionErrorHandler`

    - #### handle

          public void handle​(Throwable cause)

      Specified by:
        `handle` in interface `org.kie.internal.runtime.error.ExecutionErrorHandler`